%define name sonata
%define version 1.6.2.1
%define release %mkrel 6

Summary: An elegant music client for MPD
Name: %{name}
Version: %{version}
Release: %{release}
Epoch: 1
Source0: http://download.berlios.de/sonata/%{name}-%{version}.tar.bz2
Patch0:  sonata-fix_link.patch
License: GPLv2+
Group: Sound/Players
Url: http://sonata.berlios.de/index.html

BuildRequires:	perl(XML::Parser)
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-devel
BuildRequires:	pygtk2.0-libglade

Requires:	dbus-python >= 0.80
Requires:	python-notify
Requires:	pygtk2
Requires:       python-celementtree
Requires:       python-soap
Requires:       python-tagpy
Requires:	python-mpd
Requires:	gnome-python-gnomevfs

%description
Sonata is an elegant GTK+ music client for the Music Player Daemon (MPD).

Features :

  * Expanded and collapsed views
  * Automatic remote and local album art
  * User-configurable columns
  * Automatic fetching of lyrics
  * Playlist and stream support
  * Support for editing song tags
  * Popup notification
  * Playlist queue support
  * Library and playlist searching
  * Audioscrobbler (last.fm) support
  * Multiple MPD profiles
  * Keyboard friendly
  * Support for multimedia keys
  * Commandline controlFeatures

%prep
%setup -q
%patch0 -p0

%build
%{__python} setup.py build

%install
%{__python} setup.py install --no-compile --prefix %{buildroot}/usr

mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}/%{_datadir}
mkdir -p %{buildroot}/%{_docdir}/%{name}
mkdir -p %{buildroot}/%{_mandir}
mv %{buildroot}/%{_datadir}/sonata/{CHANGELOG,README,TODO,TRANSLATORS} %{buildroot}/%{_docdir}/%{name}/

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGELOG README TODO TRANSLATORS
%{_bindir}/%{name}
%{py_platsitedir}/*
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1:1.6.2.1-6.mga3
+ Revision: 382297
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 jquelin <jquelin> 1:1.6.2.1-5.mga3
+ Revision: 322331
- rpm group change

* Wed Aug 24 2011 jquelin <jquelin> 1:1.6.2.1-4.mga2
+ Revision: 135143
- make sure cauldron version is higher

* Thu Jul 14 2011 eugeni <eugeni> 1:1.6.2.1-3.mga2
+ Revision: 123893
- Sonata needs gnome-python-gnomevfs to start.

* Tue Jun 28 2011 misc <misc> 1:1.6.2.1-2.mga2
+ Revision: 115349
- add patch to fix link

  + jquelin <jquelin>
    - imported package sonata

